# Copyright 2013-2023 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)


from spack import *

class BiobbGromacs(PythonPackage):
    """Biobb_gromacs is the Biobb module collection to perform molecular
    dynamics simulations using Gromacs"""

    # Homepage and download url
    homepage = "https://github.com/bioexcel/biobb_gromacs"
    url      = "https://github.com/bioexcel/biobb_gromacs/archive/refs/tags/v3.8.1.tar.gz"

    maintainers = ['dbeltran']

    # Versions
    version('3.8.1', sha256='6da49b691b14a8bcf7ffca08c898fe9affd258ca2f8c7be4981df840a6907efa')

    # Dependencies
    depends_on('python@3.8:')
    depends_on('py-setuptools', type=('build'))
    depends_on('biobb-common@3.8.1', type=('build', 'run'), when='@3.8.1')
    depends_on('gromacs')
