# Copyright 2013-2021 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)

from spack import *


class PyEfel(PythonPackage):
    """Electrophys Feature Extract Library (eFEL)
    """

    homepage = "https://github.com/BlueBrain/eFEL"
    pypi     = "efel/efel-4.0.4.tar.gz"
    git      = "https://github.com/BlueBrain/eFEL.git"

    version("4.0.4", sha256="258c506776df609edc799338fd773e78f0f0315fd6f3e2f969478bda401a8894")

    depends_on("python@3.6.9:")
    depends_on("py-setuptools", type=("build"))
    depends_on("py-numpy@1.6:", type=("build", "run"))
    depends_on("py-six",        type=("build", "run"))
